REST API Reference
Complete reference for every endpoint in the Nexudus REST API
Retrieve a single FloorPlanAsset record by its Id.
{ "Name": "<string>", "Categories": "<string>", "Subcategories": "<string>", "Tags": "<string>", "Materials": "<string>", "Description": "<string>", "Images2D": "<string>", "Images3D": "<string>", "ImagesPreview": "<string>", "Published": true, "HitBox": "<string>", "Id": 123, "UniqueId": "<string>", "CreatedOn": "<string>", "UpdatedOn": "<string>", "UpdatedBy": "<string>", "IsNew": true, "SystemId": "<string>" }
Authorization
FloorPlanAsset-Read
curl -X GET \ "https://spaces.nexudus.com/api/sys/floorplanassets/87654321" \ -H "Authorization: Bearer YOUR_TOKEN"
{ "Name": "", "Categories": null, "Subcategories": null, "Tags": null, "Materials": null, "Description": null, "Images2D": null, "Images3D": null, "ImagesPreview": null, "Published": false, "HitBox": null, "Id": 87654321, "UpdatedOn": "2025-01-15T10:30:00Z", "CreatedOn": "2025-01-10T08:00:00Z", "UniqueId": "a1b2c3d4-e5f6-7890-abcd-ef1234567890", "UpdatedBy": "admin@example.com", "IsNew": false, "SystemId": null, "ToStringText": "FloorPlanAsset Example", "LocalizationDetails": null, "CustomFields": null }